curl --request POST \
--url https://api.example.com/gb/organizations/{organization_id}/exb/p11ds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"employee_id": "<string>",
"transferred_assets": {
"asset": [
{
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"benefit_type": "A"
},
"payments": {
"benefit_type": "B",
"payment": [
{
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"tax": 123
},
"vouchers_or_credit_cards": {
"gross_amount_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "C"
},
"living_accommodation": {
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "D"
},
"mileage_allowance": {
"taxable_payment": 4999999.995,
"benefit_type": "E"
},
"cars": {
"car": [
{
"make_and_model": "<string>",
"date_first_registered": "2023-12-25",
"list_price": 5000000.495,
"accessories": 499999.995,
"capital_contribution": 2500,
"private_use_payment": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"available_from": "2023-12-25",
"available_to": "2023-12-25",
"engine_capacity_cc": 4999,
"co2_emissions": 499,
"zero_emission_mileage": 4999,
"no_approved_co2_figure": "yes",
"fuel_withdrawn": {
"value": "2023-12-25",
"reinstated": "yes"
},
"fuel_cash_equivalent_or_relevant_amount": 123
}
],
"total_car_benefit_amount": 4999999.995,
"benefit_type": "F",
"total_fuel_benefit_amount": 123
},
"vans": {
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "G",
"fuel_cash_equivalent_or_relevant_amount": 123
},
"loans": {
"loan": [
{
"joint_borrowers_count": 499,
"opening_balance": 49999999.995,
"closing_balance": 49999999.995,
"maximum_balance": 49999999.995,
"interest_paid": 49999999.995,
"cash_equivalent_or_relevant_amount": 49999999.995,
"loan_date": "2023-12-25",
"discharge_date": "2023-12-25"
}
],
"benefit_type": "H"
},
"medical": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "I"
},
"relocation": {
"excess_over_threshold": 4999999.995,
"benefit_type": "J"
},
"services": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "K"
},
"assets_available": {
"asset": [
{
"annual_value_pro_rata": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"benefit_type": "L"
},
"other_items": {
"benefit_type": "M",
"class_1a_items": [
{
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"non_class_1a_items": [
{
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"tax_paid": 123
},
"expenses_paid": {
"benefit_type": "N",
"travel_and_subsistence": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995
},
"entertainment": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995
},
"home_telephone": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995
},
"non_qualifying_relocation": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995
},
"other": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995,
"description": "<string>"
}
}
}
]
'import requests
url = "https://api.example.com/gb/organizations/{organization_id}/exb/p11ds"
payload = [
{
"employee_id": "<string>",
"transferred_assets": {
"asset": [
{
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"benefit_type": "A"
},
"payments": {
"benefit_type": "B",
"payment": [
{
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"tax": 123
},
"vouchers_or_credit_cards": {
"gross_amount_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "C"
},
"living_accommodation": {
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "D"
},
"mileage_allowance": {
"taxable_payment": 4999999.995,
"benefit_type": "E"
},
"cars": {
"car": [
{
"make_and_model": "<string>",
"date_first_registered": "2023-12-25",
"list_price": 5000000.495,
"accessories": 499999.995,
"capital_contribution": 2500,
"private_use_payment": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"available_from": "2023-12-25",
"available_to": "2023-12-25",
"engine_capacity_cc": 4999,
"co2_emissions": 499,
"zero_emission_mileage": 4999,
"no_approved_co2_figure": "yes",
"fuel_withdrawn": {
"value": "2023-12-25",
"reinstated": "yes"
},
"fuel_cash_equivalent_or_relevant_amount": 123
}
],
"total_car_benefit_amount": 4999999.995,
"benefit_type": "F",
"total_fuel_benefit_amount": 123
},
"vans": {
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "G",
"fuel_cash_equivalent_or_relevant_amount": 123
},
"loans": {
"loan": [
{
"joint_borrowers_count": 499,
"opening_balance": 49999999.995,
"closing_balance": 49999999.995,
"maximum_balance": 49999999.995,
"interest_paid": 49999999.995,
"cash_equivalent_or_relevant_amount": 49999999.995,
"loan_date": "2023-12-25",
"discharge_date": "2023-12-25"
}
],
"benefit_type": "H"
},
"medical": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "I"
},
"relocation": {
"excess_over_threshold": 4999999.995,
"benefit_type": "J"
},
"services": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"benefit_type": "K"
},
"assets_available": {
"asset": [
{
"annual_value_pro_rata": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"benefit_type": "L"
},
"other_items": {
"benefit_type": "M",
"class_1a_items": [
{
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"non_class_1a_items": [
{
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"cash_equivalent_or_relevant_amount": 4999999.995,
"other_description": "<string>"
}
],
"tax_paid": 123
},
"expenses_paid": {
"benefit_type": "N",
"travel_and_subsistence": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995
},
"entertainment": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995
},
"home_telephone": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995
},
"non_qualifying_relocation": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995
},
"other": {
"cost_or_amount_forgone": 4999999.995,
"amount_made_good": 4999999.995,
"taxable_payment_or_relevant_amount": 4999999.995,
"description": "<string>"
}
}
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
employee_id: '<string>',
transferred_assets: {
asset: [
{
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
cash_equivalent_or_relevant_amount: 4999999.995,
other_description: '<string>'
}
],
benefit_type: 'A'
},
payments: {
benefit_type: 'B',
payment: [
{cash_equivalent_or_relevant_amount: 4999999.995, other_description: '<string>'}
],
tax: 123
},
vouchers_or_credit_cards: {
gross_amount_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
cash_equivalent_or_relevant_amount: 4999999.995,
benefit_type: 'C'
},
living_accommodation: {cash_equivalent_or_relevant_amount: 4999999.995, benefit_type: 'D'},
mileage_allowance: {taxable_payment: 4999999.995, benefit_type: 'E'},
cars: {
car: [
{
make_and_model: '<string>',
date_first_registered: '2023-12-25',
list_price: 5000000.495,
accessories: 499999.995,
capital_contribution: 2500,
private_use_payment: 4999999.995,
cash_equivalent_or_relevant_amount: 4999999.995,
available_from: '2023-12-25',
available_to: '2023-12-25',
engine_capacity_cc: 4999,
co2_emissions: 499,
zero_emission_mileage: 4999,
no_approved_co2_figure: 'yes',
fuel_withdrawn: {value: '2023-12-25', reinstated: 'yes'},
fuel_cash_equivalent_or_relevant_amount: 123
}
],
total_car_benefit_amount: 4999999.995,
benefit_type: 'F',
total_fuel_benefit_amount: 123
},
vans: {
cash_equivalent_or_relevant_amount: 4999999.995,
benefit_type: 'G',
fuel_cash_equivalent_or_relevant_amount: 123
},
loans: {
loan: [
{
joint_borrowers_count: 499,
opening_balance: 49999999.995,
closing_balance: 49999999.995,
maximum_balance: 49999999.995,
interest_paid: 49999999.995,
cash_equivalent_or_relevant_amount: 49999999.995,
loan_date: '2023-12-25',
discharge_date: '2023-12-25'
}
],
benefit_type: 'H'
},
medical: {
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
cash_equivalent_or_relevant_amount: 4999999.995,
benefit_type: 'I'
},
relocation: {excess_over_threshold: 4999999.995, benefit_type: 'J'},
services: {
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
cash_equivalent_or_relevant_amount: 4999999.995,
benefit_type: 'K'
},
assets_available: {
asset: [
{
annual_value_pro_rata: 4999999.995,
amount_made_good: 4999999.995,
cash_equivalent_or_relevant_amount: 4999999.995,
other_description: '<string>'
}
],
benefit_type: 'L'
},
other_items: {
benefit_type: 'M',
class_1a_items: [
{
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
cash_equivalent_or_relevant_amount: 4999999.995,
other_description: '<string>'
}
],
non_class_1a_items: [
{
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
cash_equivalent_or_relevant_amount: 4999999.995,
other_description: '<string>'
}
],
tax_paid: 123
},
expenses_paid: {
benefit_type: 'N',
travel_and_subsistence: {
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
taxable_payment_or_relevant_amount: 4999999.995
},
entertainment: {
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
taxable_payment_or_relevant_amount: 4999999.995
},
home_telephone: {
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
taxable_payment_or_relevant_amount: 4999999.995
},
non_qualifying_relocation: {
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
taxable_payment_or_relevant_amount: 4999999.995
},
other: {
cost_or_amount_forgone: 4999999.995,
amount_made_good: 4999999.995,
taxable_payment_or_relevant_amount: 4999999.995,
description: '<string>'
}
}
}
])
};
fetch('https://api.example.com/gb/organizations/{organization_id}/exb/p11ds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"employee_id": "<string>",
"tax_year": 123
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Create P11D Batch
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
Tax year start, e.g. 2025 for 2025-26
Body
Section A: Assets transferred to the employee
Show child attributes
Show child attributes
Section B: Payments made on behalf of employee
Show child attributes
Show child attributes
Section C: Vouchers and credit cards
Show child attributes
Show child attributes
Section D: Living accommodation
Show child attributes
Show child attributes
Section E: Mileage allowance payments
Show child attributes
Show child attributes
Section F: Cars and car fuel
Show child attributes
Show child attributes
Section G: Vans and van fuel
Show child attributes
Show child attributes
Section H: Interest-free and low-interest loans
Show child attributes
Show child attributes
Section I: Private medical treatment or insurance
Show child attributes
Show child attributes
Section J: Qualifying relocation expenses
Show child attributes
Show child attributes
Section K: Services supplied
Show child attributes
Show child attributes
Section L: Assets placed at employee's disposal
Show child attributes
Show child attributes
Section M: Other items (including expenses)
Show child attributes
Show child attributes
Section N: Expense payments on behalf of employee
Show child attributes
Show child attributes
Was this page helpful?